Eclipse Platform Release 3.7

## org.eclipse.ui.views.markers
Class MarkerItem

    java.lang.Object
      org.eclipse.ui.views.markers.MarkerItem

    public abstract class MarkerItem

extends Object

The MarkerItem class is the class that represents the objects displayed a `MarkerSupportView`. This class is not intended to be sub-classed by clients,

Since:
  3.4

Constructor Summary
`MarkerItem()`

Method Summary
`boolean` `getAttributeValue(String attribute, boolean defaultValue)` Return the boolean associated with attributeName or defaultValue if it is not found.
`int` `getAttributeValue(String attribute, int defaultValue)` Get the value of the attribute in the enclosed marker.
`String` `getAttributeValue(String attribute, String defaultValue)` Get the String value of the attribute in the enclosed marker.
`String` `getLocation()` Get the location string for the receiver.
`IMarker` `getMarker()` Return the marker for the receiver.
`String` `getPath()` Get the path string for the receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkerItem

    public MarkerItem()

Method Detail

### getAttributeValue

    public boolean getAttributeValue(String attribute,
                                     boolean defaultValue)

  Return the boolean associated with attributeName or defaultValue if it is not found.

  Parameters:
    `attribute` -
    `defaultValue` -
  Returns:
    `boolean`

### getAttributeValue

    public int getAttributeValue(String attribute,
                                 int defaultValue)

  Get the value of the attribute in the enclosed marker.

  Parameters:
    `attribute` -
    `defaultValue` - the defaultValue if the value is not set
  Returns:
    int

### getAttributeValue

    public String getAttributeValue(String attribute,
                                    String defaultValue)

  Get the String value of the attribute in the enclosed marker.

  Parameters:
    `attribute` -
    `defaultValue` - the defaultValue if the value is not set
  Returns:
    String

### getLocation

    public String getLocation()

  Get the location string for the receiver. This method is provided for convenience purposes as the location can be inferred from a line number or location attribute if the `MarkerItem` has an associated `IMarker`.

  Returns:
    String
  See Also:
    `IMarker.LOCATION`, `IMarker.LINE_NUMBER`

### getPath

    public String getPath()

  Get the path string for the receiver. This method is provided for convenience as a path can be inferred from the location of an `IResource` or the path attribute if the `MarkerItem` has an associated `IMarker`.

  Returns:
    String
  See Also:
    `MarkerViewUtil.PATH_ATTRIBUTE`, `IResource.getLocation()`

### getMarker

    public IMarker getMarker()

  Return the marker for the receiver.

  Returns:
    IMarker

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.